## recoll 1.21.5

=== aspell/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = rclaspell
SRCS = rclaspell.cpp

all: depend $(PROGS) librecoll

RCLASPELL_OBJS= trrclaspell.o 
rclaspell : $(RCLASPELL_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o rclaspell $(RCLASPELL_OBJS) \
          $(LIBRECOLL)  $(LIBXAPIAN) $(LIBICONV)
trrclaspell.o : rclaspell.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RCLASPELL -c -o trrclaspell.o \
	       rclaspell.cpp

include $(depth)/mk/commontargets

include alldeps

=== bincimapmime/Makefile ===
# @(#$Id: Makefile,v 1.6 2006-01-19 12:01:42 dockes Exp $  (C) 2005 J.F.Dockes

depth = ..
include $(depth)/mk/sysconf

LIBS = libmime.a
PROGS = trbinc

all: depend $(LIBS) 

SRCS = mime-parsefull.cc mime-parseonlyheader.cc \
     mime-printbody.cc mime.cc \
     convert.cc iodevice.cc iofactory.cc

OBJS = mime-parsefull.o mime-parseonlyheader.o \
     mime-printbody.o mime.o  \
     convert.o iodevice.o iofactory.o

libmime.a : $(OBJS)
	 $(AR) ru libmime.a $(OBJS)

.cc.o:
	$(CXX) $(ALL_CXXFLAGS) -c $<

TRBINCOBJS = trbinc.o
trbinc: trbinc.o
	$(CXX) -o trbinc trbinc.o libmime.a 

include $(depth)/mk/commontargets

include alldeps

=== common/Makefile ===
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = unacpp textsplit rclconfig

all: librecoll $(PROGS) 

UNACPP_OBJS= trunacpp.o
unacpp : $(UNACPP_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o unacpp $(UNACPP_OBJS) \
	       $(LIBRECOLL)  $(LIBICONV)
trunacpp.o : unacpp.cpp unacpp.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_UNACPP -c -o trunacpp.o unacpp.cpp

TEXTSPLIT_OBJS= trtextsplit.o  
textsplit : $(TEXTSPLIT_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o textsplit $(TEXTSPLIT_OBJS) \
        $(LIBRECOLL) $(LIBICONV)
trtextsplit.o : textsplit.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_TEXTSPLIT -c -o trtextsplit.o \
	       textsplit.cpp

RCLCONFIG_OBJS= trrclconfig.o 
rclconfig : $(RCLCONFIG_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o rclconfig $(RCLCONFIG_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trrclconfig.o : rclconfig.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RCLCONFIG -c -o trrclconfig.o \
	       rclconfig.cpp

include $(depth)/mk/commontargets

=== index/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = recollindex 
SRCS = recollindex.cpp rclmonrcv.cpp rclmonprc.cpp

all: depend librecoll $(PROGS)

RECOLLINDEX_OBJS= recollindex.o rclmonrcv.o rclmonprc.o 
recollindex : $(RECOLLINDEX_OBJS)
	$(CXX) $(ALL_CXXFLAGS) $(RECOLL_LDFLAGS) $(LDFLAGS) -o recollindex \
               $(RECOLLINDEX_OBJS) \
	       $(BSTATIC) $(LIBRECOLL) $(LIBXAPIAN) $(LIBXAPIANSTATICEXTRA) \
	       $(LIBICONV) $(BDYNAMIC) \
	       $(LIBFAM) \
	       $(X_LIBS) $(X_PRE_LIBS) $(X_LIBX11) $(X_EXTRA_LIBS) \
	       $(LIBSYS) $(LIBTHREADS)
recollindex.o : recollindex.cpp
	$(CXX) $(ALL_CXXFLAGS) -c -o recollindex.o $<
rclmonrcv.o : rclmonrcv.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonrcv.o $<
rclmonprc.o : rclmonprc.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c -o rclmonprc.o $<

SUBTREELIST_OBJS= subtreelist.o
subtreelist : $(SUBTREELIST_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o subtreelist $(SUBTREELIST_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)
subtreelist.o : subtreelist.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SUBTREELIST -c subtreelist.cpp

MIMETYPE_OBJS= trmimetype.o
mimetype : $(MIMETYPE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o mimetype $(MIMETYPE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trmimetype.o : mimetype.cpp
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMETYPE -c -o trmimetype.o \
	       mimetype.cpp

include $(depth)/mk/commontargets

include alldeps

=== internfile/Makefile ===
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = mh_mbox internfile

all: librecoll $(PROGS) 

INTERNFILE_OBJS= trinternfile.o  $(BIGLIB) 
internfile : $(INTERNFILE_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o internfile $(INTERNFILE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trinternfile.o : internfile.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_INTERNFILE -c -o trinternfile.o \
	       internfile.cpp

MH_MBOX_OBJS= trmh_mbox.o  $(BIGLIB) 
mh_mbox : $(MH_MBOX_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o mh_mbox $(MH_MBOX_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trmh_mbox.o : mh_mbox.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MH_MBOX -c -o trmh_mbox.o \
	       mh_mbox.cpp

include $(depth)/mk/commontargets

=== query/Makefile ===
depth = ..
include $(depth)/mk/sysconf

PROGS = xadump recollq #trhist qtry qxtry 
SRCS = xadump.cpp 

all: wasaparse.tab.cpp depend librecoll $(PROGS)

wasaparse.tab.cpp : wasaparse.y
	bison wasaparse.y
	mv -f wasaparse.tab.c wasaparse.tab.cpp
	
XADUMP_OBJS= xadump.o 
xadump : $(XADUMP_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o xadump $(XADUMP_OBJS) \
	       $(depth)/lib/librecoll.a $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)
xadump.o : xadump.cpp 
	$(CXX) $(ALL_CXXFLAGS) -c xadump.cpp

RECOLLQ_OBJS= recollq.o 
recollq : $(RECOLLQ_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o recollq $(RECOLLQ_OBJS) \
	       $(BSTATIC) $(LIBRECOLL) $(LIBXAPIAN) $(LIBICONV) $(BDYNAMIC) \
               $(LIBSYS)
recollq.o : recollq.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_RECOLLQ -c recollq.cpp

HISTORY_OBJS= trhist.o
trhist : $(HISTORY_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trhist $(HISTORY_OBJS) \
	       $(LIBICONV) $(LIBXAPIAN)
trhist.o : history.cpp history.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_HISTORY -c -o trhist.o history.cpp

WASASTRINGTOQUERY_OBJS= trwasastrtoq.o  
trwasastrtoq : $(WASASTRINGTOQUERY_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trwasastrtoq $(WASASTRINGTOQUERY_OBJS) \
             $(LIBRECOLL) $(LIBICONV) $(LIBXAPIAN)
trwasastrtoq.o : wasastringtoquery.cpp wasastringtoquery.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_WASASTRINGTOQUERY -c \
             -o trwasastrtoq.o wasastringtoquery.cpp

include $(depth)/mk/commontargets

include alldeps

distclean::
	-rm -f location.hh position.hh stack.hh \
            wasaparse.tab.c wasaparse.tab.cpp wasaparse.tab.h

=== rcldb/Makefile ===
depth = ..
include $(depth)/mk/sysconf

# Only test executables get build in here
PROGS = synfamily stoplist

all: librecoll $(PROGS) 

STOPLIST_OBJS= trstoplist.o
stoplist : $(STOPLIST_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o stoplist $(STOPLIST_OBJS) \
            $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trstoplist.o : stoplist.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_STOPLIST -c -o trstoplist.o \
	       stoplist.cpp

SYNFAMILY_OBJS= trsynfamily.o
synfamily : $(SYNFAMILY_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o synfamily $(SYNFAMILY_OBJS) \
        $(LIBRECOLL)  $(LIBICONV) $(LIBXAPIAN) $(LIBSYS)
trsynfamily.o : synfamily.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SYNFAMILY -c -o trsynfamily.o \
	       synfamily.cpp

include $(depth)/mk/commontargets

=== utils/Makefile ===
depth = ..
include $(depth)/mk/sysconf

# Use a static link for some of the utility programs so that they can be
# executed independantly of the installed version of recoll. None of them
# are part of the official distrib anyway
LIBRECOLL = ../lib/librecoll.a

PROGS = pxattr trclosefrom trecrontab \
      trnetcon trcopyfile trcircache trmd5 trreadfile trfileudi \
      trconftree wipedir smallut  trfstreewalk trpathut transcode trbase64 \
      trmimeparse trexecmd utf8iter idfile

all: librecoll

PXATTROBJS = trpxattr.o pxattr.o 
pxattr:  $(PXATTROBJS)
	$(CXX) -o pxattr $(PXATTROBJS)
trpxattr.o : pxattr.cpp
	$(CXX) -c $(CXXFLAGS) -DTEST_PXATTR -o $@ pxattr.cpp

ECRONTAB_OBJS= trecrontab.o 
trecrontab : $(ECRONTAB_OBJS)
	$(CXX) -o trecrontab $(ECRONTAB_OBJS) \
            $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trecrontab.o : ecrontab.cpp ecrontab.h
	$(CXX) -o trecrontab.o -c $(ALL_CXXFLAGS) \
	       -DTEST_ECRONTAB ecrontab.cpp

CLOSEFROM_OBJS= trclosefrom.o 
trclosefrom : $(CLOSEFROM_OBJS)
	$(CXX) -o trclosefrom $(CLOSEFROM_OBJS) \
            $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trclosefrom.o : closefrom.cpp closefrom.h
	$(CXX) -o trclosefrom.o -c $(ALL_CXXFLAGS) \
	       -DTEST_CLOSEFROM closefrom.cpp

FSTREEWALK_OBJS= trfstreewalk.o 
trfstreewalk : $(FSTREEWALK_OBJS)
	$(CXX) -o trfstreewalk $(FSTREEWALK_OBJS) \
            $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trfstreewalk.o : fstreewalk.cpp fstreewalk.h
	$(CXX) -o trfstreewalk.o -c $(ALL_CXXFLAGS) \
	       -DTEST_FSTREEWALK fstreewalk.cpp

APPFORMIME_OBJS= trappformime.o 
trappformime : $(APPFORMIME_OBJS)
	$(CXX) -o trappformime $(APPFORMIME_OBJS) \
            $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trappformime.o : appformime.cpp
	$(CXX) -o trappformime.o -c $(ALL_CXXFLAGS) \
	       -DTEST_APPFORMIME appformime.cpp

READFILE_OBJS= trreadfile.o 
trreadfile : $(READFILE_OBJS)
	$(CXX) -o trreadfile $(READFILE_OBJS) $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trreadfile.o : readfile.cpp readfile.h
	$(CXX) -o trreadfile.o -c $(ALL_CXXFLAGS) \
	       -DTEST_READFILE readfile.cpp

CPUCONF_OBJS= trcpuconf.o 
trcpuconf : $(CPUCONF_OBJS)
	$(CXX) -o trcpuconf $(CPUCONF_OBJS) $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trcpuconf.o : cpuconf.cpp cpuconf.h
	$(CXX) -o trcpuconf.o -c $(ALL_CXXFLAGS) -DTEST_CPUCONF cpuconf.cpp

CIRCACHE_OBJS= trcircache.o 
trcircache : $(CIRCACHE_OBJS)
	$(CXX) -o trcircache $(CIRCACHE_OBJS) \
               $(LIBRECOLL) $(LIBICONV) $(LIBSYS) -lz
trcircache.o : circache.cpp circache.h
	$(CXX) -o trcircache.o -c $(ALL_CXXFLAGS) \
	       -DTEST_CIRCACHE circache.cpp

COPYFILE_OBJS= trcopyfile.o 
trcopyfile : $(COPYFILE_OBJS)
	$(CXX) -o trcopyfile $(COPYFILE_OBJS) $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trcopyfile.o : copyfile.cpp copyfile.h
	$(CXX) -o trcopyfile.o -c $(ALL_CXXFLAGS) \
	       -DTEST_COPYFILE copyfile.cpp

MD5_OBJS= trmd5.o md5.o
trmd5 : $(MD5_OBJS)
	$(CXX) -o trmd5 $(MD5_OBJS) $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trmd5.o : md5ut.cpp md5ut.h md5.h
	$(CXX) -o trmd5.o -c $(ALL_CXXFLAGS) -DTEST_MD5 md5ut.cpp

PATHUT_OBJS= trpathut.o  
trpathut : $(PATHUT_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trpathut $(PATHUT_OBJS)  \
               $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trpathut.o : pathut.cpp pathut.h
	$(CXX) -o trpathut.o -c $(ALL_CXXFLAGS) -DTEST_PATHUT pathut.cpp

NETCON_OBJS= trnetcon.o  
trnetcon : $(NETCON_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trnetcon $(NETCON_OBJS)  \
               $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trnetcon.o : netcon.cpp netcon.h
	$(CXX) -o trnetcon.o -c $(ALL_CXXFLAGS) -DTEST_NETCON netcon.cpp

FILEUDI_OBJS= trfileudi.o  
trfileudi : $(FILEUDI_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trfileudi $(FILEUDI_OBJS)
trfileudi.o : fileudi.cpp fileudi.h
	$(CXX) -o trfileudi.o -c $(ALL_CXXFLAGS) -DTEST_FILEUDI fileudi.cpp

EXECMD_OBJS= trexecmd.o 
trexecmd : $(EXECMD_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trexecmd $(EXECMD_OBJS) \
               $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trexecmd.o : execmd.cpp execmd.h
	$(CXX) -o trexecmd.o -c $(ALL_CXXFLAGS) -DTEST_EXECMD execmd.cpp

TRANSCODE_OBJS= trtranscode.o   
transcode : $(TRANSCODE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o transcode $(TRANSCODE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trtranscode.o : transcode.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_TRANSCODE -c -o trtranscode.o \
	       transcode.cpp

IDFILE_OBJS= tridfile.o   
idfile : $(IDFILE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o idfile $(IDFILE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
tridfile.o : idfile.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_IDFILE -c -o tridfile.o idfile.cpp

MIMEPARSE_OBJS= trmimeparse.o   
trmimeparse : $(MIMEPARSE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trmimeparse $(MIMEPARSE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trmimeparse.o : mimeparse.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_MIMEPARSE -c -o trmimeparse.o \
               mimeparse.cpp

SMALLUT_OBJS= trsmallut.o ../lib/smallut.o
smallut : $(SMALLUT_OBJS) smallut.h
	$(CXX) $(ALL_CXXFLAGS) -o smallut $(SMALLUT_OBJS) \
               $(LIBRECOLL) $(LIBICONV)
trsmallut.o : smallut.cpp smallut.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_SMALLUT -c -o trsmallut.o smallut.cpp
../lib/smallut.o: smallut.cpp smallut.h
	cd ../lib;make smallut.o

WIPEDIR_OBJS= trwipedir.o  
wipedir : $(WIPEDIR_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o wipedir $(WIPEDIR_OBJS) $(LIBICONV) $(LIBSYS)
trwipedir.o : wipedir.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_WIPEDIR -c -o trwipedir.o wipedir.cpp

UTF8ITER_OBJS= trutf8iter.o 
utf8iter : $(UTF8ITER_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o utf8iter $(UTF8ITER_OBJS)  \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trutf8iter.o : utf8iter.cpp utf8iter.h
	$(CXX) $(ALL_CXXFLAGS) -DTEST_UTF8ITER -c -o trutf8iter.o utf8iter.cpp

CONFTREE_OBJS= trconftree.o  
trconftree : $(CONFTREE_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trconftree $(CONFTREE_OBJS) \
	       $(LIBRECOLL) $(LIBICONV) $(LIBSYS)
trconftree.o : conftree.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_CONFTREE -c -o trconftree.o conftree.cpp

BASE64_OBJS= trbase64.o  
trbase64 : $(BASE64_OBJS) 
	$(CXX) $(ALL_CXXFLAGS) -o trbase64 $(BASE64_OBJS)
trbase64.o : base64.cpp 
	$(CXX) $(ALL_CXXFLAGS) -DTEST_BASE64 -c -o trbase64.o base64.cpp

X11MON_OBJS= trx11mon.o x11mon.o
trx11mon : $(X11MON_OBJS)
	$(CXX) $(ALL_CXXFLAGS) -o trx11mon $(X11MON_OBJS) -L/usr/X11R6/lib -lX11
trx11mon.o : x11mon.cpp x11mon.h
	$(CXX) -o trx11mon.o -c $(ALL_CXXFLAGS) -DTEST_X11MON x11mon.cpp
x11mon.o: x11mon.cpp
	$(CXX) -c -I/usr/X11R6/include $(ALL_CXXFLAGS) x11mon.cpp

include $(depth)/mk/commontargets

=== doc/user/Makefile ===
# Wherever docbook.xsl and chunk.xsl live
# Fbsd
#XSLDIR="/usr/local/share/xsl/docbook/"
# Mac
#XSLDIR="/opt/local/share/xsl/docbook-xsl/"
#Linux
XSLDIR="/usr/share/xml/docbook/stylesheet/docbook-xsl/"


# Options common to the single-file and chunked versions
commonoptions=--stringparam section.autolabel 1 \
  --stringparam section.autolabel.max.depth 3 \
  --stringparam section.label.includes.component.label 1 \
  --stringparam autotoc.label.in.hyperlink 0 \
  --stringparam abstract.notitle.enabled 1 \
  --stringparam html.stylesheet docbook-xsl.css \
  --stringparam generate.toc "book toc,title,figure,table,example,equation"


all: usermanual.html index.html usermanual.pdf

usermanual.html: usermanual.xml
	xsltproc ${commonoptions} \
            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" usermanual.xml
	-tidy -indent tmpfile.html > usermanual.html
	rm -f tmpfile.html

index.html: usermanual.xml
	xsltproc ${commonoptions} \
            --stringparam use.id.as.filename 1 \
            --stringparam root.filename index \
            "${XSLDIR}/html/chunk.xsl" usermanual.xml

usermanual.pdf: usermanual.xml
	dblatex usermanual.xml 

clean:
	rm -f RCL.*.html usermanual.pdf usermanual.html index.html tmpfile.html

=== python/recoll/Makefile ===
all:
	echo libdir: $(libdir)
	libdir=$(libdir) python setup.py build
install:
	sudo python setup.py install
clean:
	rm -rf build 
	rm -f recoll/__init__.pyc
	rm -rf recoll/__pycache__
distclean: clean
	rm -f setup.py

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-qtgui --disable-x11mon --enable-pic --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)
execute_process(COMMAND /bin/sh mkMake
		WORKING_DIRECTORY ${rcltop}/lib
)

link_directories(${rcltop}/lib ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it. Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

add_custom_target(parser
                 COMMAND make wasaparse.tab.cpp
                 WORKING_DIRECTORY ${rcltop}/query
)
add_custom_target(rcllib
                 COMMAND make librecoll.a
                 WORKING_DIRECTORY ${rcltop}/lib
)
add_dependencies(rcllib parser)
add_dependencies(kio_recoll parser rcllib)

target_link_libraries(kio_recoll recoll xapian z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

=== python/samples/recollgui/Makefile ===
all: rclmain.py

rclmain.py: rclmain.ui
	pyuic4 -o rclmain.py rclmain.ui

clean:
	rm -f rclmain.py rclmain.pyc

=== debian/changelog ===
recoll (1.21.5-1) unstable; urgency=medium

  * Acknowledge NMUs. Thanks!
  * New upstream release.
  * debian/control:
    + Vcs-* URL to use https:// instead of git://
  * Set debian/compat to 9.
  * Removed debian/recoll.menu file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Jan 2016 19:41:54 +0530

recoll (1.21.0-1.2) unstable; urgency=medium

  * Non-maintainer upload with the maintainer's approval.
  * Switch to Qt 5 (Closes: #784523).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 27 Jan 2016 11:35:47 -0300

recoll (1.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload (agreed by maintainer). (Closes: #809478)
  * Add support for building for all supported python3 versions (this is a
    better solution than the one proposed in #793636
    - Change python3-dev build-dep back to python3-all-dev
    - Add loop over supported python3 versions to install rule

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jan 2016 20:39:01 -0500

=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libqt5webkit5-dev,
               libx11-dev,
               libxapian-dev (>= 1.2.0),
               libz-dev,
               python-dev (>= 2.6.6-3~),
               python3-all-dev,
               qtbase5-dev
X-Python-Version: >= 2.7
Vcs-Git: https://anonscm.debian.org/collab-maint/recoll.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/recoll.git;a=summary
Homepage: http://www.lesbonscomptes.com/recoll
Standards-Version: 3.9.6

Package: recoll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aspell, python, xdg-utils, xsltproc
Suggests: antiword,
          catdoc,
          ghostscript,
          libimage-exiftool-perl,
          poppler-utils,
          pstotext,
          python-chm,
          python-mutagen,
          unrtf,
          untex
Description: Personal full text search package with a Qt GUI
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI
  * Supports the following document types (and their compressed versions)
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, ppt (catdoc), rtf (unrtf)
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8
  * Stemming performed at query time (can switch stemming language after
    indexing)
  * Easy installation. No database daemon, web server or exotic language
    necessary
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program

Package: python-recoll
Architecture: any
Section: python
Depends: recoll (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

Package: python3-recoll
Architecture: any
Section: python
Depends: recoll (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll (Python3)
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python3 extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

build3vers := $(shell py3versions -sv)

#build qt5 UI
export QT_SELECT := qt5

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --mandir=\$${prefix}/share/man \
		    --prefix=/usr

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean Makefile

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) STRIP=ls prefix=$(CURDIR)/debian/tmp/usr install
	# Work around recollinstall forgetting the PPT text-extract utility
	install -m 0444 filters/msodump.zip $(CURDIR)/debian/tmp/usr/share/recoll/filters
	install -m 0555 filters/ppt-dump.py $(CURDIR)/debian/tmp/usr/share/recoll/filters
	(cd python/recoll; python setup.py install \
	                                   --install-layout=deb \
	                                   --prefix=$(CURDIR)/debian/tmp/usr )
	set -e && for i in $(build3vers); do \
	  (cd python/recoll; python$$i ./setup.py install \
	                                   --install-layout=deb \
	                                   --prefix=$(CURDIR)/debian/tmp/usr ) ; \
	done

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_installman
	dh_install --sourcedir=debian/tmp
	dh_makeshlibs
	dh_python2 -p python-recoll
	dh_python3 -p python3-recoll
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.lesbonscomptes.com/recoll/download.html \
(?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## recoll 1.22.3

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
project(kio_recoll)

cmake_minimum_required(VERSION 2.8.12)

include(FeatureSummary)

set(QT_MIN_VERSION 5.2.0)
set(KF5_MIN_VERSION 5.0.0)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Network
    Widgets)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# CoreAddons?
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    KIO)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
)


## Recoll stuff
add_definitions(
    -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
    -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
    -DHAVE_CONFIG_H
)


set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp 
${rcltop}/qtgui/guiutils.cpp)


# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

add_library(kio_recoll MODULE ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make -j 6 PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll
recoll 
xapian 
KF5::KIOCore
z 
pthread
)

install(FILES recoll.protocol recollf.protocol 
              DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

# Tried but could not use PLUGIN_INSTALL_DIR (/usr/lib64/plugins), or
# /usr/lib64/qt5/plugins/kf5/kio/recoll.so: the module is not found by
# dolphin). Actually that's because of the protocol file. recoll has 
# exec=kio_recoll, file has exec=kf5/kio/file

set_target_properties(kio_recoll PROPERTIES OUTPUT_NAME "kio_recoll")
install(TARGETS kio_recoll DESTINATION ${LIB_INSTALL_DIR}/qt5/plugins)

=== debian/changelog ===
recoll (1.22.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Updated Vcs-* URLs.
    + Depends on python.
  * debian/copyright:
    + Removed and updated sections for new upstream release.
  * debian/rules:
    + Removed .la files.
    + Removed empty dbg packages.
    + Fix executable scripts.
  * Override 'python-script-but-no-python-dep' Lintian as they are not used
    directly.
  * Removed debian/patches/fix-python-install.patch, merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Mon, 04 Jul 2016 12:38:41 +0530

## recoll 1.22.4

=== doc/user/Makefile ===
--- 
+++ 
@@ -17,11 +17,16 @@
   --stringparam generate.toc "book toc,title,figure,table,example,equation"
 
 
-all: usermanual.html index.html usermanual.pdf
+# index.html chunk format target replaced by nicer webhelp (needs separate
+# make) in webhelp/ subdir
+all: usermanual.html usermanual.pdf webh
 
+webh:
+	make -C webhelp
+        
 usermanual.html: usermanual.xml
-	xsltproc ${commonoptions} \
-            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" usermanual.xml
+	xsltproc --xinclude ${commonoptions} \
+            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" $<
 	-tidy -indent tmpfile.html > usermanual.html
 	rm -f tmpfile.html
 
@@ -29,10 +34,10 @@
 	xsltproc ${commonoptions} \
             --stringparam use.id.as.filename 1 \
             --stringparam root.filename index \
-            "${XSLDIR}/html/chunk.xsl" usermanual.xml
+            "${XSLDIR}/html/chunk.xsl" $<
 
 usermanual.pdf: usermanual.xml
-	dblatex usermanual.xml 
+	dblatex $<
 
 clean:
 	rm -f RCL.*.html usermanual.pdf usermanual.html index.html tmpfile.html

=== debian/changelog ===
recoll (1.22.4-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Dec 2016 18:48:48 +0530

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,15 @@
                python3-all-dev,
                qtbase5-dev
 X-Python-Version: >= 2.7
-Vcs-Git: https://anonscm.debian.org/collab-maint/recoll.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/recoll.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/recoll.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/recoll.git
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: recoll
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: aspell, python, xdg-utils, xsltproc
+Depends: python, ${misc:Depends}, ${shlibs:Depends}
+Recommends: aspell, xdg-utils, xsltproc
 Suggests: antiword,
           catdoc,
           ghostscript,

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,11 @@
 	# Work around recollinstall forgetting the PPT text-extract utility
 	install -m 0444 filters/msodump.zip $(CURDIR)/debian/tmp/usr/share/recoll/filters
 	install -m 0555 filters/ppt-dump.py $(CURDIR)/debian/tmp/usr/share/recoll/filters
+	# Executable fixes
+	chmod +x $(CURDIR)/debian/tmp/usr/share/recoll/examples/rclmon.sh
+	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclexec1.py
+	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclxslt.py
+	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
 	(cd python/recoll; python setup.py install \
 	                                   --install-layout=deb \
 	                                   --prefix=$(CURDIR)/debian/tmp/usr )
@@ -76,7 +81,7 @@
 	dh_python2 -p python-recoll
 	dh_python3 -p python3-recoll
 	dh_link
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
 	dh_lintian

## recoll 1.23.2

=== doc/user/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # index.html chunk format target replaced by nicer webhelp (needs separate
 # make) in webhelp/ subdir
-all: usermanual.html usermanual.pdf webh
+all: usermanual.html webh usermanual.pdf
 
 webh:
 	make -C webhelp
@@ -39,5 +39,11 @@
 usermanual.pdf: usermanual.xml
 	dblatex $<
 
+UTILBUILDS=/home/dockes/projets/builds/medocutils/
+recoll-conf-xml:
+	$(UTILBUILDS)/confxml --docbook \
+        --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \
+        ../../sampleconf/recoll.conf  > recoll.conf.xml
+
 clean:
 	rm -f RCL.*.html usermanual.pdf usermanual.html index.html tmpfile.html

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
--- 
+++ 
@@ -74,7 +74,7 @@
 add_library(kio_recoll MODULE ${kio_recoll_SRCS})
 
 add_custom_target(rcllib
-                 COMMAND make -j 6 PicStatic
+                 COMMAND make -j 3 PicStatic
                  WORKING_DIRECTORY ${rcltop}
 )
 add_dependencies(kio_recoll rcllib)

=== debian/changelog ===
recoll (1.23.2-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 17:00:21 +1200

recoll (1.23.2-1) unstable; urgency=low

  * New upstream release:
    + Index new Libreoffice file formats (Closes: #856605)
  * Removed unused lintian override.

 -- Kartik Mistry <kartik@debian.org>  Wed, 17 May 2017 21:13:39 +0530

## recoll 1.23.7

=== doc/user/Makefile ===
--- 
+++ 
@@ -1,4 +1,12 @@
-# Wherever docbook.xsl and chunk.xsl live
+
+
+
+# Wherever docbook.xsl and chunk.xsl live.
+# NOTE: THIS IS HARDCODED inside custom.xsl (for changing the output
+# charset), which needs to change if the stylesheet location changes.
+# Necessity of custom.xsl:
+#   http://www.sagehill.net/docbookxsl/OutputEncoding.html
+
 # Fbsd
 #XSLDIR="/usr/local/share/xsl/docbook/"
 # Mac
@@ -26,7 +34,7 @@
         
 usermanual.html: usermanual.xml
 	xsltproc --xinclude ${commonoptions} \
-            -o tmpfile.html "${XSLDIR}/html/docbook.xsl" $<
+            -o tmpfile.html custom.xsl $<
 	-tidy -indent tmpfile.html > usermanual.html
 	rm -f tmpfile.html
 
@@ -37,9 +45,9 @@
             "${XSLDIR}/html/chunk.xsl" $<
 
 usermanual.pdf: usermanual.xml
-	dblatex $<
+	dblatex --xslt-opts="--xinclude" -tpdf $<
 
-UTILBUILDS=/home/dockes/projets/builds/medocutils/
+UTILBUILDS=/home/dockes/tmp/builds/medocutils/
 recoll-conf-xml:
 	$(UTILBUILDS)/confxml --docbook \
         --idprefix=RCL.INSTALL.CONFIG.RECOLLCONF  \

=== kde/kioslave/kio_recoll-kde4/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(kio_recoll)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=7130
    -DRECOLL_DATADIR=\\"${CMAKE_INSTALL_PREFIX}/share/recoll\\"
    -DLIBDIR=\\"${CMAKE_INSTALL_PREFIX}/lib\\"
    -DHAVE_CONFIG_H
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}") 

set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../../)

# Execute recoll configuration to create autoconfig.h and version.h and
# generate a PIC lib
execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
		WORKING_DIRECTORY ${rcltop}
)

link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
  ${rcltop}/aspell 
  ${rcltop}/bincimapmime
  ${rcltop}/common 
  ${rcltop}/index 
  ${rcltop}/internfile 
  ${rcltop}/query 
  ${rcltop}/rcldb 
  ${rcltop}/unac
  ${rcltop}/utils 
  ${rcltop}/qtgui
)

set(kio_recoll_SRCS  kio_recoll.cpp htmlif.cpp dirif.cpp ${rcltop}/qtgui/guiutils.cpp)

CHECK_LIBRARY_EXISTS(dl dlopen "" DLOPEN_IN_LIBDL)
IF(DLOPEN_IN_LIBDL)
	LIST(APPEND EXTRA_LIBS dl)
ENDIF(DLOPEN_IN_LIBDL)
CHECK_LIBRARY_EXISTS(pthread pthread_sigmask "" PTHREAD_IN_LIBPTHREAD)
IF(PTHREAD_IN_LIBPTHREAD)
	LIST(APPEND EXTRA_LIBS pthread)
ENDIF(PTHREAD_IN_LIBPTHREAD)

# Had the idea to add e.g. /usr/lib/recoll to the rpath so that the dyn lib 
# will be found at run time. But this does not seem to work with debian 
# which strips RPATH by default (I think there is a way for libs in app-specific
# paths but I did not find it). Link with the .a instead.
#SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/recoll")

kde4_add_plugin(kio_recoll ${kio_recoll_SRCS})

add_custom_target(rcllib
                 COMMAND make PicStatic
                 WORKING_DIRECTORY ${rcltop}
)
add_dependencies(kio_recoll rcllib)

target_link_libraries(kio_recoll recoll xapian z ${EXTRA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kio_recoll DESTINATION ${PLUGIN_INSTALL_DIR})

IF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
     install(FILES recoll.protocol recollf.protocol DESTINATION ${SERVICES_INSTALL_DIR})
ELSE ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)
   install(FILES recollnolist.protocol DESTINATION ${SERVICES_INSTALL_DIR}
   		 RENAME recoll.protocol)
ENDIF ("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}" GREATER 4.0)

install(FILES data/welcome.html	data/help.html
	      DESTINATION  ${DATA_INSTALL_DIR}/kio_recoll)

=== kde/kioslave/kio_recoll/CMakeLists.txt ===
--- 
+++ 
@@ -83,6 +83,7 @@
 recoll 
 xapian 
 KF5::KIOCore
+dl
 z 
 pthread
 )

=== debian/changelog ===
recoll (1.23.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Changed Vcs-* to salsa.debian.org
    + Updated Standards-Version to 4.1.3
    + Removed autotools-dev from Build-Deps.
    + Removed catdoc from Suggests. Not needed for recoll > 1.1.19.
    + Added python3 as a dependency.
    + Add packages to Suggests (Closes: #831812, #869809)
  * Bumped dh compat to 11.
  * Use https URL in debian/watch URL.
  * recoll.lintian-overrides:
    + Removed unused lintian overrides.
    + Added override: package-has-unnecessary-activation-of-ldconfig-trigger.
  * debian/rules:
    + Don't set CFLAGS and others.

 -- Kartik Mistry <kartik@debian.org>  Fri, 12 Jan 2018 22:04:24 +0530

recoll (1.23.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Fri, 13 Oct 2017 13:41:54 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 9),
+Build-Depends: bison,
+               debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                libqt5webkit5-dev,
@@ -15,25 +14,32 @@
                python3-all-dev,
                qtbase5-dev
 X-Python-Version: >= 2.7
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/recoll.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/recoll.git
+Vcs-Git: https://salsa.debian.org/debian/recoll.git
+Vcs-Browser: https://salsa.debian.org/debian/recoll
 Homepage: http://www.lesbonscomptes.com/recoll
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: recoll
 Architecture: any
-Depends: python, ${misc:Depends}, ${shlibs:Depends}
+Depends: python, python3, ${misc:Depends}, ${shlibs:Depends}
 Recommends: aspell, xdg-utils, xsltproc
 Suggests: antiword,
-          catdoc,
           ghostscript,
+          groff,
           libimage-exiftool-perl,
+          libinotifytools0,
           poppler-utils,
           pstotext,
           python-chm,
+          python-libxml2,
+          python-libxslt1,
+          python-lzma,
+          python-mido,
           python-mutagen,
+          python-rarfile,
           unrtf,
-          untex
+          untex,
+          wv
 Description: Personal full text search package with a Qt GUI
  This package is a personal full text search package is based on a very strong
  backend (Xapian), for which it provides an easy to use and feature-rich

=== debian/rules ===
--- 
+++ 
@@ -4,25 +4,16 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
-CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 build3vers := $(shell py3versions -sv)
 
 #build qt5 UI
 export QT_SELECT := qt5
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 
 config.status: configure
 	dh_testdir

=== debian/watch ===
version=3
https://www.lesbonscomptes.com/recoll/download.html \
(?:|.*/)recoll(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## recoll 1.24.1

=== debian/changelog ===
recoll (1.24.1-2) unstable; urgency=medium

  * debian/rules:
    + Fix FTBFS when built with dpkg-buildpackage -A (Closes: #900311)

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Jun 2018 17:26:02 +0530

recoll (1.24.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Removed X-Python-Version field.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 May 2018 17:04:15 +0530

recoll (1.24.0-1) unstable; urgency=low

  * New upstream release.
  * Updated upstream signing key.
  * debian/control:
    + Updated Standards-Version to 4.1.4

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 May 2018 18:10:30 +0530

recoll (1.23.7-4) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Use https in URL.

 -- Kartik Mistry <kartik@debian.org>  Tue, 03 Apr 2018 10:45:36 +0530

recoll (1.23.7-3) experimental; urgency=low

  * debian/control:
    + Fixed version in Breaks and Replaces (Closes: #888302)

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Jan 2018 21:14:45 -0800

recoll (1.23.7-2) experimental; urgency=low

  * debian/control, debian/*.install:
    + Splited package to separate GUI and commandline programs:
      recollgui and recollcmd (Closes: #602229)
    + Updated descriptions.
  * debian/README.Debian:
    + Updated for package split.
  * debian/rules:
    + Enabled recollq (Closes: #841067)
  * Updated lintian override.
  * debian/copyright:
    + http->https in some URLs.
  * debian/watch:
    + Add upstream pgp key option.

 -- Kartik Mistry <kartik@debian.org>  Tue, 23 Jan 2018 00:17:10 +0530

=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: bison,
               debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libqt5webkit5-dev,
               libx11-dev,
               libxapian-dev (>= 1.2.0),
               libz-dev,
               python-dev (>= 2.6.6-3~),
               python3-all-dev,
               qtbase5-dev
Vcs-Git: https://salsa.debian.org/debian/recoll.git
Vcs-Browser: https://salsa.debian.org/debian/recoll
Homepage: https://www.lesbonscomptes.com/recoll
Standards-Version: 4.1.4

Package: recoll
Architecture: all
Depends: recollcmd, recollgui, ${misc:Depends}
Description: Personal full text search package
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI.
  * Supports the following document types (and their compressed versions).
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files.
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, rtf (unrtf).
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree.
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8.
  * Stemming performed at query time (can switch stemming language after
    indexing).
  * Easy installation. No database daemon, web server or exotic language
    necessary.
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program.
 .
 This metapackage installs recoll GUI and commandline tools.

Package: recollcmd
Architecture: any
Breaks: recoll (<< 1.23.7-2)
Replaces: recoll (<< 1.23.7-2)
Depends: python, python3, ${misc:Depends}, ${shlibs:Depends}
Recommends: aspell,
            python-libxm2,
            python-libxslt1,
            python-recoll,
            python3-recoll,
            xdg-utils,
            xsltproc
Suggests: antiword,
          ghostscript,
          groff,
          libimage-exiftool-perl,
          libinotifytools0,
          poppler-utils,
          pstotext,
          python-chm,
          python-lzma,
          python-mido,
          python-mutagen,
          python-rarfile,
          unrtf,
          untex,
          wv
Description: Command line programs for recoll
 This package contains command line programs for a personal full text search
 package recoll.

Package: recollgui
Architecture: any
Breaks: recoll (<< 1.23.7-2)
Replaces: recoll (<< 1.23.7-2)
Depends: recollcmd (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GUI program and elements for recoll
 This package contains main recoll GUI for configuring, controlling and
 querying recoll indexes

Package: python-recoll
Architecture: any
Section: python
Depends: recollcmd (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

Package: python3-recoll
Architecture: any
Section: python
Depends: recollcmd (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python extension for recoll (Python3)
 Personal full text search package which is based on a very strong backend
 (Xapian), for which it provides an easy to use and feature-rich interface.
 .
 This package provides Python3 extension module for recoll which can be use to
 extend recoll such as an Ubuntu Unity Lens.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 		    --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --mandir=\$${prefix}/share/man \
-		    --prefix=/usr
+		    --prefix=/usr \
+		    --enable-recollq \
+		    --enable-xadump
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -51,15 +53,22 @@
 	chmod +x $(CURDIR)/debian/tmp/usr/share/recoll/examples/rclmon.sh
 	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclexec1.py
 	chmod -x $(CURDIR)/debian/tmp/usr/share/recoll/filters/rclxslt.py
+
+	#Remove .la files
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+
 	(cd python/recoll; python setup.py install \
-	                                   --install-layout=deb \
-	                                   --prefix=$(CURDIR)/debian/tmp/usr )
+			--install-layout=deb \
+			--prefix=$(CURDIR)/debian/tmp/usr )
 	set -e && for i in $(build3vers); do \
-	  (cd python/recoll; python$$i ./setup.py install \
-	                                   --install-layout=deb \
-	                                   --prefix=$(CURDIR)/debian/tmp/usr ) ; \
+	(cd python/recoll; python$$i ./setup.py install \
+			--install-layout=deb \
+			--prefix=$(CURDIR)/debian/tmp/usr ) ; \
 	done
+
+	# Remove unneeded files
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/recoll/*.pyc
+	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/recoll/__pycache__/
 
 binary-arch: build install
 	dh_testdir
@@ -68,14 +77,11 @@
 	dh_installdocs README
 	dh_installman
 	dh_install --sourcedir=debian/tmp
-	dh_makeshlibs
-	dh_python2 -p python-recoll
-	dh_python3 -p python3-recoll
 	dh_link
 	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
-	dh_lintian
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -83,6 +89,21 @@
 	dh_builddeb
 
 binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs ChangeLog
+	dh_installdocs README
+	dh_install --sourcedir=debian/tmp
+	dh_python2 -p python-recoll
+	dh_python3 -p python3-recoll
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_lintian
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
